org.eclipse.jgit.transport

## Class CredentialsProviderUserInfo

- java.lang.Object
- - org.eclipse.jgit.transport.CredentialsProviderUserInfo

All Implemented Interfaces:
  com.jcraft.jsch.UIKeyboardInteractive, com.jcraft.jsch.UserInfo

    public class CredentialsProviderUserInfo
    extends Object
    implements com.jcraft.jsch.UserInfo, com.jcraft.jsch.UIKeyboardInteractive

A JSch `UserInfo` adapter for a `CredentialsProvider`.

### Constructor Summary

Constructors
Constructor and Description
`CredentialsProviderUserInfo(com.jcraft.jsch.Session session, CredentialsProvider credentialsProvider)` Wrap a CredentialsProvider to make it suitable for use with JSch.

### Method Summary

Methods
`String` `getPassphrase()`
`String` `getPassword()`
`String[]` `promptKeyboardInteractive(String destination, String name, String instruction, String[] prompt, boolean[] echo)`
`boolean` `promptPassphrase(String msg)`
`boolean` `promptPassword(String msg)`
`boolean` `promptYesNo(String msg)`
`void` `showMessage(String msg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CredentialsProviderUserInfo

    public CredentialsProviderUserInfo(com.jcraft.jsch.Session session,
                               CredentialsProvider credentialsProvider)

Wrap a CredentialsProvider to make it suitable for use with JSch.

Parameters:
  `session` - the JSch session this UserInfo will support authentication on.
  `credentialsProvider` - the provider that will perform the authentication.

### Method Detail

#### getPassword

    public String getPassword()

Specified by:
  `getPassword` in interface `com.jcraft.jsch.UserInfo`

#### getPassphrase

    public String getPassphrase()

Specified by:
  `getPassphrase` in interface `com.jcraft.jsch.UserInfo`

#### promptPassphrase

    public boolean promptPassphrase(String msg)

Specified by:
  `promptPassphrase` in interface `com.jcraft.jsch.UserInfo`

#### promptPassword

    public boolean promptPassword(String msg)

Specified by:
  `promptPassword` in interface `com.jcraft.jsch.UserInfo`

#### promptYesNo

    public boolean promptYesNo(String msg)

Specified by:
  `promptYesNo` in interface `com.jcraft.jsch.UserInfo`

#### showMessage

    public void showMessage(String msg)

Specified by:
  `showMessage` in interface `com.jcraft.jsch.UserInfo`

#### promptKeyboardInteractive

    public String[] promptKeyboardInteractive(String destination,
                                     String name,
                                     String instruction,
                                     String[] prompt,
                                     boolean[] echo)

Specified by:
  `promptKeyboardInteractive` in interface `com.jcraft.jsch.UIKeyboardInteractive`